/**
 * @author Felipe Lopez P. - Cristian Carrasco G.
 * Se modifico la clase elementos fisicos, se agrego el atributo gravedad.
 */
public abstract class PhysicsElement {
   private int myId;
   protected float gravity;
   /**
    * Se modifico el constructor para agregar la opcion de gravedad.
    * @param id Cada elemento fisico tiene su propio id.
    */
   protected PhysicsElement( int id){
      myId = id;
      gravity=0;
   }
   protected int getId() {
      return myId;
   }
   public abstract void computeNextState(double delta_t);
   public abstract void updateState();
   public abstract String getDescription();
   public abstract String getState();
}